/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * ThreadLocalData.java
 * $Id: ThreadLocalData.java,v 1.3 2005/12/25 04:10:36 tcfujii Exp $
 * $Date: 2005/12/25 04:10:36 $
 * $Revision: 1.3 $
 */

package com.sun.enterprise.admin.monitor.callflow;

import java.util.List;
import java.util.Map;

/**
 * This interface provides access to the thread local call flow data.
 *
 * @author Ram Jeyaraman
 * @date August 21, 2005
 */
public interface ThreadLocalData {
    
    String getRequestId();

    String getMethodName();

    String getApplicationName();

    String getModuleName();
    
    String getComponentName();
    
    String getComponentType();
    
    String getTransactionId();
    
    String getSecurityId();
}